/**
   Copyright (c) 2015 Carsten Moeller, Pinneberg, Germany. <info@osm2po.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU Lesser General Public License as
   published by the Free Software Foundation, either version 3 of the
   License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

package de.cm.osm2po.demos;

import de.cm.osm2po.converter.tiler.DefaultWayTagResolver;
import de.cm.osm2po.primitives.Var;
import de.cm.osm2po.primitives.VarString;

public class MetaWayTagResolver extends DefaultWayTagResolver {

    private String meta;

    @Override
    public void onTags(long entityId) {
        super.onTags(entityId);
        this.meta = "";
    }

    @Override
    public void onTag(String key, String value) {
        super.onTag(key, value);
        if (this.meta.length() != 0) this.meta += ", ";
        this.meta += key + "=" + value;
    }

    @Override
    public Var<?> getCustom() {
        return new VarString(this.meta);
    }

} // EOC
