/** 
   Copyright (c) 2012 Carsten Moeller, Pinneberg, Germany. <info@osm2po.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU Lesser General Public License as 
   published by the Free Software Foundation, either version 3 of the 
   License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

package de.cm.osm2po.demos;

import de.cm.osm2po.converter.tiler.DefaultNodeTagResolver;

public class TrafficSignalsNodeTagResolver extends DefaultNodeTagResolver {

    public static final byte CLAZZ_TRAFFICSIGNALS = 1;
    private byte clazz;
    
    @Override
    public void onTags(long entityId) {
        this.clazz = CLAZZ_NULL;
        super.onTags(entityId);
    }
    
    @Override
    public void onTag(String key, String value) {
        super.onTag(key, value);
        if ("highway".equals(key) && "traffic_signals".equals(value)) {
            this.clazz = CLAZZ_TRAFFICSIGNALS;
        }
    }
    
    @Override
    public byte getClazz() {
        byte c = super.getClazz();
        return c != CLAZZ_NULL ? c : this.clazz;
    }
    
    @Override
    public String getName() {
        return CLAZZ_TRAFFICSIGNALS == this.clazz ? "TS" : null;
    }
}
