/*
   Copyright (c) 2011 Carsten Moeller, Pinneberg, Germany. <info@osm2po.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU Lesser General Public License as 
   published by the Free Software Foundation, either version 3 of the 
   License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
   
   $Id: OsmXmlBz2Parser.java 4479 2017-08-06 13:12:51Z carsten $
*/

package de.cm.osm2po.plugins.parser;

import java.io.BufferedInputStream;
import java.io.InputStream;

import org.apache.commons.compress.compressors.bzip2.BZip2CompressorInputStream;

import de.cm.osm2po.Config;
import de.cm.osm2po.converter.parser.OsmParserHandler;
import de.cm.osm2po.converter.parser.OsmXmlParser;

public class OsmXmlBz2Parser extends OsmXmlParser {

    @Override
    public void open(InputStream bz2InputStream,
            OsmParserHandler osmParserHandler, Config config) {
        try {
            BZip2CompressorInputStream is = new BZip2CompressorInputStream(
                    new BufferedInputStream(bz2InputStream));
            super.open(is, osmParserHandler, config);
            
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }
    
}
